Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/31785/?format=api
{ "ob_id": 31785, "uuid": "b9c80907bb37487fa1744f3c86f3e792", "title": "NCEO LTSS: Global Ocean Lagrangian Trajectories, v1.0, 1998-2018 (OLTraj)", "abstract": "The National Centre for Earth Observation (NCEO) Long Term Science Single Centre (LTSS) Global Ocean Lagrangian Trajectories (OLTraj) provides 30-day forward and backward Lagrangian trajectories based on surface velocities from an ocean reanalysis. Each trajectory represents the path that a water mass would move along starting at a given pixel and a given day. OLTraj can be thus used to implement analyses of oceanic data in a Lagrangian framework. The purpose of OLTraj is to allow non-specialists to conduct Lagrangian analyses of surface ocean data.\r\n\r\nThe dataset has global coverage and spans 1998-2018 with a daily temporal resolution. The trajectories were generated starting from zonal and meridional model velocity fields that were integrated using the LAMTA package (6-hour time step) as described in Nencioli et al., 2018. Please see the documentation section below for further information.", "keywords": "Global, Ocean Lagrangian Trajectories, LAMTA, zonal, meridional model", "publicationState": "citable", "dataPublishedTime": "2020-08-21T16:05:50", "doiPublishedTime": "2020-08-21T16:06:41.886123", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/31789/?format=api", "dataPath": "/neodc/oltraj/data/v1.0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1730621594393, "numberOfFiles": 7635, "fileFormat": "NetCDF V4.0" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8690/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2687/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18405/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18408/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30130/?format=api" ], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10745/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5002/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140245/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140244/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140246/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140247/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140248/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140242/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140257/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140249/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/31790/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }